package api.common.pojo.param.model;

import api.common.pojo.common.PageVO;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class ConfigPageParam extends PageVO {

    //主键id
    private String id;
    //配置编码
    private String configCode;
    //配置名称
    private String configName;
    //配置描述
    private String configDescription;
    //车辆id
    private String vehicleId;
    //车辆名称
    private String vehicleName;
    //车辆描述
    private String vehicleDescription;
    //创建人id
    private String createUserId;
    //是否分享
    @NotBlank(message = "share参数必传")
    private String share;

}
