package api.common.pojo.param.scene;

import api.common.pojo.common.PageVO;
import api.common.pojo.vo.scene.ScenePackageSublistVO;
import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 测试场景包
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ScenePackageNewParam extends PageVO implements Serializable {

    private String packageId  ;//主键Id
    private String packageName ; //指标名称
    private String weight;//权重
    private String rulesName ; //规则名称
    private String packageAndRules;//关联打分规则Id
    private Integer sceneNum;//场景数量
    private String remarks;//备注
    private String share ; //是否分析  1为分享
    private List<ScenePackageSublistVO> list;  //指标集合

}