package api.common.pojo.po.algorithm;

import api.common.pojo.common.CommonPO;
import lombok.Getter;
import lombok.Setter;

/**
 * 算法数据
 */
@Getter
@Setter
public class AlgorithmPO extends CommonPO {

    //算法id
    private String id;

    //算法名称
    private String algorithmName;

    //算法编号
    private String algorithmCode;

    //算法描述
    private String description;

    //校验状态
    private String validationStatus;

    //上传方式
    private String uploadMode;

    //仓库地址
    private String gitUrl;

    //代码仓库访问用户名
    private String gitUserName;

    //代码仓库访问密码
    private String gitPassword;

    //代码仓库访问密码
    private String gitVersion;

    //算法文件名称
    private String fileName;

    //算法文件在 minio 上的位置
    private String minioPath;

    //是否公有
    private String share;


}
