package api.common.pojo.po.model;

import api.common.pojo.common.CommonPO;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class LidarPO extends CommonPO {


    //主键id
    private String id;
    //传感器编码
    private String sensorCode;
    //传感器名称
    private String sensorName;
    //传感器描述
    private String description;
    //盲区距离
    private BigDecimal nearDistance;;
    //探测距离
    private BigDecimal farDistance;
    //水平现场角
    private BigDecimal fovH;
    //垂直现场角
    private BigDecimal fovV;
    //线数
    private int lineNumber;
    //帧率
    private BigDecimal frameRate;
    //出点数
    private int outputPoints;
    //输出模式
    private String outputMode;
    //是否分享
    private String share;
}
