package api.common.pojo.po.scene;

import lombok.*;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 泛化场景实体类
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneGeneralDataPO implements Serializable {

    private String id;              // （唯一）
    private String sceneId;        // 场景编号（任务用）
    private String sublistId;//指标Id
    private String templateId;  //关联模板id
    private String exampleId;  //关联模板实例id
    private String osgbAddress  ;//
    private String xodrAddress ; //
    private String xoscAddress ; //
    /**
     * 记录创建时间
     */
    public Timestamp createTime;
    /**
     * 记录最后更新时间（包括删除）
     */
    public Timestamp modifyTime;
    /**
     * 记录创建人（用户id）
     */
    public String createUserId;
    /**
     * 记录最后更新人（包括删除）（用户id）
     */
    public String modifyUserId;
    /**
     * 是否已删除
     */
    public String isDeleted;












}