package api.common.pojo.po.scene;

import lombok.*;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 打分规则
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ScoringRulesPO implements Serializable {

    private String rulesId  ;//打分规则Id
    private String rulesCode  ;//打分规则code
    private String ruleName ; //规则名称
    private String ruleDescription ; //打分规则描述
    private String ruleDetails;//打分规则详情
    private String share ; //是否分析  1为分享
    public Timestamp createTime; // 记录创建时间
    public Timestamp modifyTime;    // 记录最后更新时间（包括删除）
    public String createUserId; // 记录创建人（用户id）
    public String modifyUserId; // 记录最后更新人（包括删除）（用户id）
    public String isDeleted;    // 是否已删除

}