package api.common.pojo.po.scene;

import api.common.pojo.common.CommonPO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 人员场景包表。
 */
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SystemScenePackagePO extends CommonPO implements Serializable {
    private String id;              // 主键
    private String packageName;        // 场景包名
    private String sceneDescribe;          // 场景包描述
}