package api.common.pojo.po.scene;

import api.common.pojo.common.CommonPO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 用户场景关联表。
 */
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SystemUserScenePO extends CommonPO implements Serializable {
    private String id;              // 主键
    private String userId;        // 用户id
    private String packageId;          // 场景包id

}