package api.common.pojo.po.system;

import api.common.pojo.common.CommonPO;
import lombok.Data;

@Data
public class UserPO extends CommonPO {

    private String id;              // 用户主键（唯一）
    private String username;        // 登录用户名
    private String nickname;        // 用户昵称，用于显示
    private String password;        // 密码（加密）
    private String phone;           // 联系电话
    private String photo;           // 头像
    private String company;         // 所属公司
    private String roleCode;       // 账户角色类型
    private String useType;       // 占用类型
    private String visible;         // 是否启用
    private String openid;          // 众工业平台的 openid
}
