package api.common.pojo.vo.project;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;


@Getter
@Setter
public class ManualProjectTaskVo {

    //id
    private String id;

    //项目主表id
    private String pId;

    //最后一级指标id
    private String lastTargerId;

    //场景id
    private String sceneId;

    //场景名称
    private String sceneName;

    //场景数量
    private Integer sceneNum;

    //场景类型
    private String sceneType;

    //运行开始时间
    private Date runStartTime;

    //运行结束时间
    private Date runEndTime;

    //运行开始时间fmt
    private String runStartTimeFmt;

    //运行结束时间fmt
    private String runEndTimeFmt;

    //运行状态
    private String runState;

    //运行结果
    private String runResult;

    //得分
    private Double score;

    //指标评价
    private String targetEvaluate;

    //返回的场景id
    private String returnSceneId;

    //运行结果文件minio路径
    private String runResultFilePath;


}
