package api.common.pojo.vo.project;


import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class SimulationManualProjectSingleVo {

    //id
    private String id;

    //项目名称
    private String projectName;

    //项目描述
    private String projectDescribe;

    //算法
    private String algorithm;

    //算法类型
    private String algorithmType;

    //车辆
    private String vehicle;

    //场景
    private String scene;

    //最大仿真时间(秒)
    private Long maxSimulationTime;

    //并行度
    private String parallelism;

    //是否选择gpu(0:是，1：否)
    private String isChoiceGpu;

    //运行周期
    private String operationCycle;

    //规则查看
    private String ruleView;
    //算法数组（公私有）
    private String[] algorithmArrayS;
    //车辆模型数组（公私有）
    private String[] vehicleArrayS;
    //场景测试包数组（公私有）
    private String[] sceneArrayS;

}
