package api.common.pojo.vo.project;


import lombok.*;

import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class SimulationManualProjectVo {
    private String id;
    private String projectId;//项目id
    private String projectName;//项目名称
    private Date createTime;//创建时间
    private String createTimeFmt;//创建时间
    private String algorithm;//算法名称
    private Long automaticRunTimes;
    private Date lastRunTime;
    private String lastRunTimeFmt;
    private String automaticRunState;
    private String nowRunState;//进度(字典)
    private String nowRunStateDict;//进度(字典)
    private String evaluationLevel;//评测等级(字典)
    private String evaluationLevelDict;//评测等级(字典)
    private Long maxSimulationTime;
    private Date startTime;
    private String startTimeFmt;
    private Date finishTime;
    private String finishTimeFmt;
    private String scene;//场景测试包id
    private String algorithmType;//算法类型
    private String vehicle;//车俩配置id
    private String projectDescribe; //项目描述
    private String parallelism;
    private String isChoiceGpu;
    private String details;
}
