package api.common.pojo.vo.scene;

import lombok.*;

import java.io.Serializable;

/**
 * 场景包用
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PackageVO implements Serializable {
    private String id;
    private String packageId;              // 场景包id
    private String packageName;        // 场景包名称

}