package api.common.pojo.vo.scene;

import api.common.pojo.common.PageVO;
import lombok.*;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 打分规则
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ScoringRulesVO extends PageVO implements Serializable {

    private String rulesId  ;//打分规则Id
    private String rulesCode  ;//打分规则code
    private String ruleName ; //规则名称
    private String ruleDescription ; //打分规则描述
    private String share ; //是否分析  1为分享
    /**
     * 记录创建时间
     */
    public Timestamp createTime;
    /**
     * 记录创建人（用户id）
     */
    public String createUserId;













}