package api.common.pojo.vo.scene;

import api.common.pojo.common.PageVO;
import lombok.*;

import java.io.Serializable;

/**
 * 标准法规场景
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StandardsRegulationsVO extends PageVO implements Serializable {

    private String regulationsId;              // （唯一）
    private String sceneName;  //场景名称
    private String regulationType;  //法规类型
    private String standardType;  //标准类型
    private String share ; //是否分析  1为分享
    private String videoAddress ; //视频地址
    private String videoPreview;//视频预览地址
    private String label;//标签
    private String maxTime ; //该场景仿真最大时长
}