package api.common.pojo.vo.scene;

import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 用户场景关联表。
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SystemUserSceneVO  implements Serializable {
    private String id;              // 主键
    private String packageId;        // 场景包id
    private String userId;//用户id
    private List<UserSceneVO> userIds;//用户集合
    private List<PackageVO> packageList;//场景包集合

}