package api.common.pojo.vo.scene;

import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 场景包用
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserSceneVO implements Serializable {
    private String id;
    private String userId;              // 用户id
    private String userName;        // 用户名

}