package api.common.pojo.vo.system;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class ClusterVO {

    private String id;              // 用户主键（唯一）
    private String userName;        // 账户名称
    private String useType;        // 占用类型
    private String userId;        // 账户id
    private int numSimulationLicense;        // 仿真软件license数量
    @JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
    private Date dateSimulationLicense;       // 仿真软件license到期时间
    private int numDynamicLicense;        // 动力学软件license数量
    @JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
    private Date dateDynamicLicense;       // 动力学软件license到期时间

    private int validNumSimLicense;        // 有效的仿真软件license数量-编辑页面
    private int validNumDynLicense;        // 有效的动力学软件license数量-编辑页面

    @JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
    private Date modifyTime;        // 操作时间

}
