package api.common.pojo.vo.system;

import api.common.pojo.annotation.WChildren;
import api.common.pojo.annotation.WId;
import api.common.pojo.annotation.WParentId;
import lombok.Data;

import java.util.List;

@Data
public class MenuVO {

    //主键
    @WId
    private String id;
    //菜单名称
    private String name;
    //菜单路由
    private String router;
    //图标
    private String icon;
    //菜单排序
    private int sort;
    //父id
    @WParentId
    private String parentId;
    //是否可见
    private String visible;
    @WChildren
    private List<MenuVO> children;
}
