package com.css.simulation.resource.monitor;


import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@EnableScheduling
@EnableFeignClients
public class SimulationResourceMonitorApplication {

    public static void main(String[] args) {
        SpringApplication.run(SimulationResourceMonitorApplication.class, args);
        System.out.println("-------------启动成功----------------");
    }

}