package com.css.simulation.resource.scene;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.security.oauth2.config.annotation.web.configuration.EnableResourceServer;

@SpringBootApplication
@EnableFeignClients
@EnableResourceServer
@EnableAsync
public class SimulationResourceSceneApplication {

    public static void main(String[] args) {
        SpringApplication.run(SimulationResourceSceneApplication.class, args);
        System.out.println("-------------启动成功----------------");
    }
}
