package com.css.simulation.resource.scheduler.controller;


import api.common.pojo.common.ResponseBodyVO;
import com.css.simulation.resource.scheduler.service.AlgorithmService;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RefreshScope
@RestController
@RequestMapping("/algorithm")
public class AlgorithmController {

    @Resource
    AlgorithmService algorithmService;


    @RequestMapping("/check")
    public ResponseBodyVO<String> check(
            @RequestParam("minioPath") String minioPath
    ) {
        return algorithmService.check(minioPath);
    }

}
