package com.css.simulation.resource.scheduler.entity;

import api.common.pojo.common.CommonPO;
import lombok.*;

@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LeafIndexEntity extends CommonPO {

    private String id;
    private String pId; // 项目 id
    private String indexId; // 对应的指标 id
    private String parentId;  // 父指标 id
    private String rootId;  // 场景测试包 id
    private String target;
    private Integer errorSceneNum;
    private Integer notScoredSceneNum;
    private Integer notStandardSceneNum;
    private Integer standardSceneNum;
    private Double score; // 得分
    private String weight; // 权重
    private String scoreExplain; // 得分说明
    private Integer packageLevel; // 指标等级
}
