package com.css.simulation.resource.common.demo.ctrl;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.demo.TestPageParam;
import api.common.pojo.vo.demo.TestVO;
import com.css.simulation.resource.common.demo.service.TestService;
import com.github.pagehelper.PageInfo;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.annotation.Resource;

@Controller
@RequestMapping("/test")
public class TestCtrl {

    @Resource
    private TestService testService;

    @RequestMapping("/getTestPageList")
    @ResponseBody
    public ResponseBodyVO<PageInfo<TestVO>> getTestPageList(@RequestBody TestPageParam pageParam){
        ResponseBodyVO<PageInfo<TestVO>> response = new ResponseBodyVO<PageInfo<TestVO>>(ResponseBodyVO.Response.SUCCESS);
        response.setInfo(testService.getTestPageList(pageParam));
        return response;
    }
}
