package com.css.simulation.resource.model.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface ModelConfigMapper {
    @Select("select is_deleted\n" +
            "from model_config\n" +
            "where id = #{configId}")
    String selectIsDeletedByConfigId(@Param("configId") String configId);
}
