package com.css.simulation.resource.sms;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;


@SpringBootApplication
@EnableFeignClients
@EnableDiscoveryClient
@EnableScheduling
public class SimulationResourceSmsApplication {

    public static void main(String[] args) {
        SpringApplication.run(SimulationResourceSmsApplication.class, args);
    }

}
