package com.css.simulation.resource.video.configuration.init;

import com.css.simulation.resource.video.configuration.redis.CustomRedisClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
public class CustomApplicationRunner implements ApplicationRunner {
    @Resource
    private CustomRedisClient customRedisClient;


    @Override
    public void run(ApplicationArguments args) {
        log.info("初始化屏幕号。");
        customRedisClient.set("screen-number", "0");
    }
}