package api.common.pojo.param.algorithm;

import lombok.*;


@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AlgorithmParameter extends PageParameter {
    //id
    private String id;

    //算法名称
    private String algorithmName;

    //算法ID
    private String algorithmCode;

    //算法描述
    private String description;

    //校验状态
    private String validationStatus;

    //上传方式
    private String uploadMode;

    //仓库地址
    private String gitUrl;

    //代码仓库访问用户名
    private String gitUserName;

    //代码仓库访问密码
    private String gitPassword;

    //代码仓库版本号
    private String gitVersion;

    //算法文件在 minio 上的位置
    private String minioPath;

    //是否删除
    private String isDeleted;

    //是否公有
    private String share;

    //创建用户ID
    private String createUserId;

}
