package api.common.pojo.param.project;

import lombok.Getter;
import lombok.Setter;

/**
 * kafka让推送需要的参数
 */
@Getter
@Setter
public class SimulationManualProjectKafkaParam {

    private String projectId;   // 项目 id
    private String algorithmId; // 算法 id
    private String vehicleConfigId; // 车辆配置 id
    private String scenePackageId;  // 场景测试包 id
    private Long maxSimulationTime; //  最大仿真时间
    private Integer parallelism;    // 并行度
    private String type;    // 项目类型
    private String modelType;    // 项目类型
}
