package api.common.pojo.param.scene;

import api.common.pojo.common.PageVO;
import api.common.pojo.vo.scene.PackageVO;
import api.common.pojo.vo.scene.UserSceneVO;
import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 *人员场景包关系
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SystemUserSceneParam  implements Serializable {
    private String packageId ;//场景包Id
    private String packageName ;//场景包名称
    private List<UserSceneVO> userIds;//用户集合
    private List<String> packageNames;//场景包集合
    private String userId;//人分配包时用
    private String userName;//人分配包时用
    private String type;
}