package api.common.pojo.po.model;

import api.common.pojo.common.CommonPO;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class CameraPO extends CommonPO {

    //主键id
    private String id;
    //传感器编码
    private String sensorCode;
    //传感器名称
    private String sensorName;
    //传感器描述
    private String description;
    //盲区距离
    private BigDecimal nearDistance;
    //探测距离
    private BigDecimal farDistance;
    //水平现场角
    private BigDecimal fovH;
    //垂直现场角
    private BigDecimal fovV;
    //分辨率
    private String resolution;
    //帧率
    private BigDecimal frameRate;
    //是否显示本车（1显示0不显示）
    private String selfDisplay;
    //是否分享
    private String share;
}
