package api.common.pojo.po.model;

import api.common.pojo.common.CommonPO;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class ConfigSensorPO extends CommonPO {

    //主键id
    private String id;
    //配置id
    private String configId;
    //传感器id
    private String sensorId;
    //传感器类型
    private String sensorType;
    //传感器横向偏移量（x轴）
    private BigDecimal sensorX;
    //传感器纵向偏移量（y轴）
    private BigDecimal sensorY;
    //传感器安装高度（z轴）
    private BigDecimal sensorZ;
    //传感器横摆角
    private BigDecimal sensorH;
    //传感器俯仰角
    private BigDecimal sensorP;
    //传感器横滚角
    private BigDecimal sensorR;
    //传感器端口
    private int sensorPort;

}
