package api.common.pojo.po.model;

import api.common.pojo.common.CommonPO;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class GpsPO extends CommonPO {

    //主键id
    private String id;
    //传感器编码
    private String sensorCode;
    //传感器名称
    private String sensorName;
    //传感器描述
    private String description;
    //经度偏移量
    private BigDecimal longitudeOffset;
    //维度偏移量
    private BigDecimal latitudeOffset;
    //帧率
    private BigDecimal frameRate;
    //是否分享
    private String share;
}
