package api.common.pojo.po.model;

import api.common.pojo.common.CommonPO;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class OgtPO extends CommonPO {

    //主键id
    private String id;
    //传感器编码
    private String sensorCode;
    //传感器名称
    private String sensorName;
    //传感器描述
    private String description;
    //盲区距离
    private BigDecimal nearDistance;;
    //探测距离
    private BigDecimal farDistance;
    //水平现场角左
    private BigDecimal fovHLeft;
    //水平现场角右
    private BigDecimal fovHRight;
    //垂直现场角顶
    private BigDecimal fovVTop;
    //垂直现场角底
    private BigDecimal fovVBottom;
    //显示探测锥
    private String rangeDisplay;
    //最大目标物个数
    private int maxObjects;
    //坐标系
    private String coordinateSystem;
    //目标物筛选
    private String targetFilter;
    //是否分享
    private String share;

}
