package api.common.pojo.po.scene;

import api.common.pojo.common.CommonPO;
import api.common.pojo.vo.scene.UserSceneVO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * 人员场景包表。
 */
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SystemScenePackageNewPO extends CommonPO implements Serializable {
    private String id;              // 主键
    private String packageName;        // 场景包名
    private String sceneDescribe;          // 场景包描述
    private List<String> zrSceneNames;          // 自然场景名集合
    private List<String> bzSceneNames;          // 标准法规场景名集合
    private List<String> jtSceneNames;          // 交通事故自然场景名集合
    private List<String> fhSceneNames;          // 泛化模板场景名集合
    private List<UserSceneVO> userIds;//用户集合
}