package api.common.pojo.po.system;

import api.common.pojo.common.CommonPO;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class ClusterPO extends CommonPO {

    private String id;              // 用户主键（唯一）
    private String userId;        // 账户id
    private String userName;      //账户名称
    private int numSimulationLicense;        // 仿真软件license数量
    @JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
    private Date dateSimulationLicense;       // 仿真软件license到期时间
    private int numDynamicLicense;        // 动力学软件license数量
    @JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
    private Date dateDynamicLicense;       // 动力学软件license到期时间
}
