package api.common.pojo.vo.model;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class ConfigSensorVO {

    //主键id
    private String id;
    //配置id
    private String configId;
    //传感器id
    private String sensorId;
    //传感器名称
    private String sensorName;
    //传感器描述
    private String sensorDescription;
    //传感器类型
    private String sensorType;
    //传感器横向偏移量（x轴）
    private BigDecimal sensorX;
    //传感器纵向偏移量（y轴）
    private BigDecimal sensorY;
    //传感器安装高度（z轴）
    private BigDecimal sensorZ;
    //传感器横摆角
    private BigDecimal sensorH;
    //传感器俯仰角
    private BigDecimal sensorP;
    //传感器横滚角
    private BigDecimal sensorR;
    //传感器端口
    private int sensorPort;
}
