package api.common.pojo.vo.project;

import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

/**
 * 任务详情
 */
@Getter
@Setter
public class ProjectTaskDetailsVo {


    private String taskId;  //任务id
    private String sceneName;    // 场景名称
    private String runStartTime;    // 运行开始时间
    private String runEndTime;  //运行结束时间
    private String runState;    //执行状态
    private String finishState; //完成状态
    private String sceneDescribe;   //场景描述
    private String mileage; //里程
    private String averageVelocity; //平均速度
    private String maximunSpeed;    //最大速度
    private String minimunVelocity; //最小速度
    private String maximumAcceleration; //最大横向加速度
    private String maximumDeceleration; //最大横向减速度
    private String maxLongitudinalAcceleration; // 最大纵向加速度
    private String minLongitudinalAcceleration; // 最大纵向减速度
    private String maximumSwingSpeed;   //最大摆角速度
    private Double speedVariance;   //自车速度方差
    private String speedComfortLevel;   //舒适度
    private Double swingSpeedMeanSquareRoot;    //自车横摆角速度均方根
    private String swingComfortLevel;    //舒适度
    private String acceleration;      //acceleration变化曲线
    private String laneOffset;    //lane_offset变化曲线
    private String brake;       //brake变化曲线
    private String steetingWheel;   //steeting_wheel变化曲线
    private String throttle;    //throttle变化曲线
    private String yawRate; //yaw_rate变化曲线
    private String velocity;    //velocity变化曲线
    private String otherCurve;  //其他
    private Map CurveData;   //变化曲线
    private List<String> videoUrl;  //视频地址
    private List<Map> sceneScoreLiTitle;
    private List<SceneScListVo> sceneScoreLi;
}
