package api.common.pojo.vo.project;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 场景子包信息
 */
@Getter
@Setter
public class ScenePackageSubListVO {

    //指标id
    private String sublistId;

    //指标名称
    private String sublistName;

    //场景数量
    private Integer sceneNum;

    //测试权重
    private String weight;

    //父级id
    private String parentId;

    //自然场景id
    private String sceneNaturalIds;

    //所有场景得分信息
    private List<SceneScoreVo> sceneScoreList;

    //交通事故场景id
    private String sceneTrafficIds;

    //标准法规场景id
    private String sceneStatueIds;

    //泛化场景id
    private String sceneGeneralizationIds;

    //下级指标
    private List<ScenePackageSubListVO> childScenePackageSubListVOList;

    //得分
    private Double score;

    //未达标场景个数
    private Integer notStandardSceneNum;

    //当前指标级别(指标划分，场景包下一级为一级指标，往后依次递增)
    private Integer level;

    //指标评价
    private String targetEvaluate;

    //得分说明
    private String scoreExplain;


}
