package api.common.pojo.vo.scene;

import api.common.pojo.common.PageVO;
import lombok.*;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.List;

/**
 * 测试场景包
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ScenePackageNewVO  implements Serializable {

    private String packageId  ;//主键Id
    private String packageCode  ;//测试包指标Id
    private String packageName ; //指标名称
    private String weight;//权重
    private Integer sceneNum;//场景数量
    private String remarks;//备注
    private List<ScenePackageSublistVO> list;
    private String treeNode;//模板预览node节点

}