package api.common.pojo.vo.scene;

import api.common.pojo.common.CommonPO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 人员场景包表。
 */
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SystemScenePackageVO extends CommonPO implements Serializable {
    private String id;              // 主键
    private String packageName;        // 场景包名
    private String sceneDescribe;          // 场景包描述
    private Integer userCount;            // 配置人数
    private Integer zrCount;             // 自然场景数量
    private Integer bzCount;            // 标准法规数量
    private Integer jtCount;            // 交通事故数量
    private Integer fhCount;          // 泛化数量
    private Integer totalCount;          // 总数量

    private String userId;
    private String userName;
    private String packageId;



}