package api.common.pojo.vo.system;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ParameterVO {

    private String id;              // 用户主键（唯一）
    private String userName;        // 账户名称
    private String userId;        // 账户id
    private int numCreateUser;        // 可创建子账户数量
    private int numCreateScenePackage;       // 最多可创建场景测试包数量
    private int numScenePerPackage;        // 场景测试包最大场景数量
    private Date createTime;        // 创建时间

}
