package api.common.pojo.vo.system;

import lombok.Data;

import java.sql.Timestamp;

@Data
public class UserVO {

    private String id;              // 用户主键（唯一）
    private String username;        // 登录用户名
    private String nickname;        // 用户昵称，用于显示
    private String password;        // 密码（加密）
    private String newPassword;        // 新密码
    private String phone;           // 联系电话
    private String photo;           // 头像
    private String company;         // 所属公司
    private String roleCode;       // 账户角色类型
    private String roleCodeName;       // 账户角色类型名称
    private String useType;       // 占用类型
    private String useTypeName;       // 占用类型名称
    private String visible;         // 是否启用
    public Timestamp createTime;    //创建时间
    public String createUserName;    //创建人
    //private String openid;          // 众工业平台的 openid

}
