package com.css.simulation.oauth.server.mapper;


import api.common.pojo.po.system.UserPO;
import org.apache.ibatis.annotations.*;

/**
 * 查询用户
 */
@Mapper
public interface UserMapper {

    @Select("select id," +
            " username," +
            " password," +
            " role_code," +
            " use_type," +
            " create_user_id" +
            " from system_user" +
            " where is_deleted = '0'" +
            " and username = #{username}")
    @ResultType(UserPO.class)
    UserPO selectByUsername(@Param("username") String username);


}
