package com.css.simulation.resource.common.configuration.oauth;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix="oauth")
public class OauthParameter {

    private String resourceId;
    private String checkTokenEndpointUrl;
    private String clientId;
    private String clientSecret;
}
