package com.css.simulation.resource.common.configuration.sms;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "sms")
@Data
public class SmsConfiguration {
    private String secretId;
    private String secretKey;
    private String sdkAppId;
    private String signName;
    private String templateIdForReset;
    private String templateIdForCreate;
    private String kafkaTopic;
}
