package com.css.simulation.resource.scene.ctrl;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.po.scene.SystemUserScenePO;
import com.css.simulation.resource.scene.service.SystemUserSceneService;
import org.springframework.web.bind.annotation.*;
import javax.annotation.Resource;
import java.util.List;

//人员场景关联
@RestController
@RequestMapping("/SyetemUserScene")
public class SyetemUserSceneController {

    @Resource
    SystemUserSceneService systemUserSceneService;

    //查询列表
    @PostMapping("/querySystemUserScene")
    @ResponseBody
    public ResponseBodyVO<List<SystemUserScenePO>> querySystemUserSceneList() {

        return new ResponseBodyVO(ResponseBodyVO.Response.SUCCESS, null);
    }

    //新增用户关联场景
    @PostMapping("/saveSceneNatural")
    @ResponseBody
    public ResponseBodyVO<String> saveSystemUserScene(@RequestBody List<SystemUserScenePO> list) {

        systemUserSceneService.saveSystemUserScene(list);
        return new ResponseBodyVO(ResponseBodyVO.Response.SUCCESS);
    }


}